Get Misconfiguration Rollback Status

This method gets the status of the job/task and related information related to the misconfiguration rollback status job.

KeyMeaningMandatoryData Type
nameName of the rollback job/task created for misconfiguration rollback.Yesstring
accountidName or identifier of the account for which the rollback job status needs to be retrieved.Yesstring
deviceHostname/device list used to filter rollback job status.Noarray
groupDevice group used to filter rollback job status.Noarray
familyDevice family used to filter rollback job status.Noarray
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Compliance.getMisconfigurationRollbackStatus(
  accountid="Demo Account",
  name="Test",
  device=["device1","device 2"],
  family=["unix"],
  group=["oracle", "linux"]
  )

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json